#!/usr/bin/env bash
#SBATCH -A SNIC2020-33-39 -p alvis
#SBATCH -N 1
#SBATCH --gpus-per-node=V100:1
#SBATCH -t 48:00:00
#SBATCH -e error_step3.e
#SBATCH -o output_step3.o
#nvidia-smi

module load GCC/8.3.0 CUDA/10.1.243 OpenMPI/3.1.4 PyTorch/1.6.0-Python-3.7.4 tqdm
module load scipy/1.4.1-Python-3.7.4 torchvision/0.7.0-Python-3.7.4-PyTorch-1.6.0
#beta = 1
CUDA_VISIBLE_DEVICES=0,1
#print('beta', beta )



python main_sgd_step_band_base.py --optim-method SGD_Step_Decay --epoch-mode 0 --eta0 0.1 --alpha 0.16667 --momentum 0.9 --weight-decay 0.0005 --train-epochs 120 --batchsize 128 --eval-interval 1 --use-cuda --log-folder ./logs/CIFAR10 --dataset CIFAR10 --dataroot ./data

